Name:		perl-Crypt-OpenSSL-RSA
Version: 	0.25
Release:	7.7
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Crypt::OpenSSL::RSA
URL: 		http://search.cpan.org/~iroberts/
Source0: 	Crypt-OpenSSL-RSA-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl openssl-devel perl-Crypt-OpenSSL-Bignum
Requires:	perl-Crypt-OpenSSL-Bignum

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
RSA encoding and decoding, using the openSSL libraries 


%prep
%setup -q -n Crypt-OpenSSL-RSA-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorarch}/Crypt
%dir %{perl_vendorarch}/auto/Crypt
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/RSA.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/RSA.so
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/get_key_parameters.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/import_random_seed.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/new_key_from_parameters.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/new_public_key.al
%{_mandir}/man3/Crypt::OpenSSL::RSA.3pm*


%changelog
* Sat Jul 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by amavisd-new / DKIM.
